@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

:root {
    --header-background-color: #2015AF;
    --footer-background-color: #100A4E;
    --body-background-color: #EDFCFF;
    --notable-authors-background-color: linear-gradient(180deg, #03D0FF 0%, #2015AF 100%);
    --cta-background-color: #03D0FF;
    --cta-text-color: #100A4E;
    --card-background-color: linear-gradient(180deg, #03D0FF 0%, #2015AF 100%);
    --card-text-color: #100A4E;
    --category-menu-background-color: #100A4E;
    --pagination-link-color: #100A4E;
    --link-hover-color: #03D0FF;

    --dark-color: #2015AF;

    --text-color-dark: #2015AF;
    --text-color-light: #EDFCFF;
}

body {
    font-family: 'Montserrat', sans-serif;
    background: var(--body-background-color);
}

a:hover {
    text-decoration: none;
}

.header {
    background: var(--header-background-color);
}

.navbar .navbar-nav {
    gap: 24px;
}

.navbar .navbar-nav .nav-link {
    font-weight: 600;
    font-size: 18px;
    line-height: normal;
    font-style: normal;
    color: var(--text-color-light);
}

.navbar .navbar-nav .nav-link:hover,
.navbar-nav .nav-item.active .nav-link {
    color: var(--link-hover-color);
}

.dropdown-menu .dropdown-item {
    padding: 0.5rem 1.5rem;
    font-weight: 600;
    font-size: 16px;
    line-height: 20px;
    color: var(--text-color-light);
}

.fdbck-header-holder, .fdbc-img-holder {
    background-color: var(--dark-color);
}

footer {
    background-color: var(--footer-background-color);
    color: var(--text-color-light);
}

footer .nav-link {
    color: var(--text-color-light);
}

footer .nav-link:hover,
footer .nav-link.active {
    color: var(--link-hover-color);
}

.quote-slider .carousel-item {
    height: 520px;
    opacity: 0.9;
    background-color: #131829c2 !important;
    background-blend-mode: multiply;
    background-position: center !important;
    background-size: cover !important;
}

.quote-slider .carousel-indicators li {
    height: 15px;
    width: 15px;
    border-radius: 20px;
    border: 2px solid #EEFAE5;
    background-color: transparent;
}

.carousel-indicators .active {
    width: 19px !important;
    height: 19px !important;
    background-color: var(--link-hover-color) !important;
    border: none !important;
}

.carousel-control-prev-icon {
    background-image: url(../img/carousel-control-prev-icon.png);
    height: 28px;
}

.carousel-control-next-icon {
    background-image: url(../img/carousel-control-next-icon.png);
    height: 28px;
}

.info-holder .description {
    color: var(--text-color-light);
    font-weight: 500;
    font-size: 42px;
    line-height: normal;
    font-style: normal;
}

.carousel-item-author {
    opacity: 0.7;
    color: var(--text-color-light);
    font-family: 'Open Sans', sans-serif;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.recently-added-holder h2,
.top-categories-holder h2,
.notable-authors-holder h2 {
    color: var(--text-color-dark);
    font-size: 32px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
}

.top-categories-holder h2 {
    margin: auto;
    border-bottom: 2px solid var(--link-hover-color);
    padding-bottom: 10px;
    max-width: 50%;
}

.notable-authors-holder {
    background: var(--notable-authors-background-color);
}

.notable-authors-holder p {
    font-weight: 600;
    font-size: 18px;
    line-height: 18px;
    color: var(--text-color-light) !important;
    font-family: 'Open Sans', sans-serif;
}

.add-extension-holder {
    background-image: linear-gradient(rgba(32, 21, 175, 0.5), rgba(32, 21, 175, 0.5)), url(../img/add-extension-background.jpg);
    background-repeat: repeat-x;
    background-position: center;
    min-height: 390px;
}

.add-extension-holder h2 {
    font-size: 32px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
    color: var(--text-color-light);
    margin-bottom: 14px;
}

.add-extension-holder p {
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    color: var(--text-color-light);
}

.add-extension-holder .add-ext-btn {
    padding: 16px 34px;
    background-color: var(--cta-background-color);
    color: var(--cta-text-color);
    border-radius: 9px;
    font-weight: 700;
    font-size: 24px;
    font-style: normal;
    line-height: normal;
}

.add-extension-holder .add-ext-btn:hover {
    opacity: 0.7;
}

.item-card-holder .item {
    background: var(--card-background-color);
    box-shadow: 0 0 14px -1px rgba(63, 67, 86, 0.15);
    border-radius: 8px;
    font-family: 'Open Sans', sans-serif;
    font-size: 18px;
}

.item-card-holder .item-description {
    min-height: 145px;
    padding-bottom: 18px;
    font-weight: 500;
    font-style: normal;
    line-height: normal;
    color: var(--card-text-color);
    font-family: 'Open Sans', sans-serif;
}

.item-card-holder .item-author {
    color: var(--text-color-light);
    opacity: 0.5;
    font-size: 16px;
    font-weight: 500;
    line-height: normal;
    position: absolute;
    bottom: 7px;
}

.item-card-holder .item-author:hover,
.item-card-holder .item-description:hover {
    text-decoration: underline;
}

.quote-details {
    height: 520px;
    background-size: cover !important;
    border-radius: 8px;
}

.quote-details .description {
    height: 450px;
    color: var(--text-color-light);
    font-family: 'Montserrat', sans-serif;
    font-weight: 600;
    font-size: 36px;
    line-height: 44px;
    text-shadow: 0 0 7px rgba(8, 10, 17, 0.5);
}

.quote-details .author {
    color: var(--text-color-light);
    font-weight: 500;
    font-size: 24px;
    font-family: 'Montserrat', sans-serif;
    text-shadow: 0 0 5px #080A11;
}

.quote-details .watermark {
    background: url(../img/watermark.png) 25px 25px no-repeat;
}

.discover-quotes-holder h3 {
    color: var(--text-color-dark);
    font-size: 28px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
}

.popular-now h2 {
    font-weight: 700;
    font-size: 36px;
    line-height: 44px;
    color: var(--text-color-dark);
    font-family: 'Montserrat', sans-serif;
}

.search-page h2 {
    color: var(--text-color-dark);
    text-align: center;
    font-size: 36px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
}

.search-holder {
    background-color: var(--dark-color);
}

.searchbar {
    max-width: 650px;
    border: 1px solid #e8efff4f;
    border-radius: 20px;
}

.searchbar button {
    background: transparent;
    border: none;
    outline: none;
}

.searchbar-icon {
    border-left: 2px solid var(--text-color-light);
    color: var(--text-color-light);
    padding-left: 22px;
}

.searchbar-icon-holder:hover {
    cursor: pointer;
}

.searchbar-icon-holder:hover .searchbar-icon,
.searchbar-close-icon:hover {
    color: var(--link-hover-color);
}

.searchbar-close-icon {
    color: var(--text-color-light);
}

.search-input {
    background: transparent;
    font-weight: 700;
    font-size: 16px;
    line-height: 22px;
    color: var(--text-color-light) !important;
    border: none;
    outline: none;
    border-radius: 22px;
}

.search-input:focus {
    background: transparent;
    font-style: normal;
    font-weight: 700;
    font-size: 16px;
    line-height: 22px;
    color: var(--text-color-light);
    border: none;
    outline: none;
    box-shadow: none;
}

#searchBarHolder {
    z-index: 10000;
    width: 600px;
    top: 0;
    position: absolute;
    left: 48%;
}

.not-found-text {
    color: var(--card-text-color);
    font-size: 18px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}

.welcome-holder {
    background: url(../img/welcome-bg.jpg) no-repeat center / cover;
    height: 448px;
    opacity: 0.9;
    background-color: #100A4E !important;
    background-blend-mode: multiply;
}

.welcome-holder h1 {
    font-weight: 700;
    font-size: 48px;
    line-height: 59px;
    color: var(--text-color-light);
}

.welcome-holder h2 {
    font-weight: 600;
    font-size: 24px;
    line-height: normal;
    color: var(--text-color-light);
}

.welcome-holder p {
    font-size: 18px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    color: var(--text-color-light);
}

.welcome-holder svg defs linearGradient stop {
    stop-color: var(--link-hover-color);
}

.welcome-holder .border-bottom {
    border-bottom: 3px solid var(--link-hover-color) !important;
}

.htu-container h2,
.using-widget h2,
.additional-options h2 {
    font-size: 32px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
    color: var(--text-color-dark);
}

.htu-container img {
    width: 100%;
    max-width: 650px;
}

.cat-slider a {
    font-weight: 600;
    font-size: 20px;
    color: var(--text-color-light);
    width: 287px;
    height: 313px;
    line-height: 313px;
    background-size: cover;
}

.cat-slider a:hover,
.cat-slider a.active {
    color: var(--link-hover-color);
}

.cat-slider .carousel-control-prev {
    left: 6%;
    top: 186px;
}

.cat-slider .carousel-control-next {
    right: 6%;
    top: 186px;
}

.cat-slider .carousel-control-prev-icon {
    background: url(../img/category-carousel-control-prev-icon.png) center no-repeat !important;
    width: 30px;
}

.cat-slider .carousel-control-next-icon {
    background: url(../img/category-carousel-control-next-icon.png) center no-repeat !important;
    width: 30px;
}

.carousel-control-next.submenu-cat-carousel {
    top: 23px !important;
    right: 365px;
}

.carousel-control-prev.submenu-cat-carousel {
    top: 23px !important;
    left: 365px;
}

.submenu-cat-carousel .carousel-control-prev-icon {
    background: url(../img/category-sub-carousel-control-prev-icon.png) center no-repeat !important;
    width: 30px;
}

.submenu-cat-carousel .carousel-control-next-icon {
    background: url(../img/category-sub-carousel-control-next-icon.png) center no-repeat !important;
    width: 30px;
}

.cat-slider-item {
    background-color: #000000c2 !important;
    background-blend-mode: color;
}

.cat-sub-slider-item {
    width: auto !important;
    line-height: 20px !important;
    height: auto !important;
    font-size: 16px !important;
}

.category-page h2 {
    font-size: 36px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
    color: var(--text-color-dark);
}

.categories-submenu {
    background-color: var(--category-menu-background-color);
    display: inline-block;
    overflow-y: hidden;
}

.categories-submenu .nav-link {
    color: var(--text-color-light);
    font-size: 18px;
    font-weight: 600;
}

.categories-submenu .nav-link:hover,
.categories-submenu .nav-link.active {
    color: var(--link-hover-color);
}

.notable-authors-wrapper {
    max-width: 80%;
    text-align: center;
}

.notable-author-item div {
    height: 280px;
    width: 187px;
    filter: drop-shadow(0 0 14px rgba(9, 10, 17, 0.25));
}

.notable-author-link {
    height: 278px;
    width: 187px;
    padding-top: 178px;
    position: absolute;
    bottom: 0;
    left: 0;
}

.notable-author-link p {
    background: linear-gradient(0deg, #090A11 26.45%, rgba(9, 10, 17, 0) 86.39%);
    height: 100px;
    line-height: 154px;
}

.notable-author-link p:hover {
    color: var(--link-hover-color) !important;
}

.submit-exit, .feedback-btn {
    background-color: var(--header-background-color) !important;
    color: var(--text-color-light) !important;
    border: none !important;
}

.submit-exit:hover, .feedback-btn:hover {
    background-color: var(--header-background-color) !important;
    color: var(--text-color-light) !important;
    border: none !important;
    opacity: 0.8;
}

/* ===== PAGINATION ===== */
.page-item.active .page-link,
.page-item .page-link:hover {
    background-color: transparent;
    border: none;
    color: var(--link-hover-color) !important;
}

.page-link {
    background: transparent;
    border: none;
    font-weight: 600;
    font-size: 18px;
    line-height: 22px;
    color: var(--pagination-link-color);
    height: 38px;
    width: 38px;
}

.page-item.disabled .page-link {
    background-color: transparent;
}

.page-item.prev,
.page-item.next {
    width: 38px;
    height: 38px;
    cursor: pointer;
}

.page-item.prev {
    background: url(../img/category-sub-carousel-control-prev-icon.png) center no-repeat;
}

.page-item.next {
    background: url(../img/category-sub-carousel-control-next-icon.png) center no-repeat;
}

.page-item.prev:hover {
    background-image: url(../img/category-sub-carousel-control-prev-icon-active.png);
}

.page-item.next:hover {
    background-image: url(../img/category-sub-carousel-control-next-icon-active.png);
}

.page-item.next.disabled:hover {
    background-image: url(../img/category-sub-carousel-control-next-icon.png);
    cursor: auto;
}

.page-item.prev.disabled:hover {
    background-image: url(../img/category-sub-carousel-control-prev-icon.png);
    cursor: auto;
}

.page-item.prev span,
.page-item.next span {
    display: none !important;
}

/* ===== STATIC PAGES ===== */
.static-view h1 {
    margin-top: 15px;
    font-weight: 700;
    font-size: 24px;
    line-height: 29px;
    color: var(--text-color-dark);
}

.static-view p {
    font-weight: 400;
    font-size: 16px;
    line-height: 20px;
    color: var(--text-color-dark);
}

/* ===== MEDIA QUERIES ===== */
@media only screen and (max-width: 768px) {
    .quote-slider .carousel-item {
        height: 700px !important;
    }
}

@media only screen and (max-width: 1860px) {
    .carousel-control-next.submenu-cat-carousel {
        right: 222px !important;
    }
    .carousel-control-prev.submenu-cat-carousel {
        left: 222px !important;
    }
}

@media only screen and (max-width: 1590px) {
    .carousel-control-next.submenu-cat-carousel {
        right: 122px !important;
    }
    .carousel-control-prev.submenu-cat-carousel {
        left: 122px !important;
    }
}

@media only screen and (max-width: 1390px) {
    .carousel-control-next.submenu-cat-carousel {
        right: 52px !important;
    }
    .carousel-control-prev.submenu-cat-carousel {
        left: 52px !important;
    }
}

@media only screen and (max-width: 1235px) {
    .carousel-control-next.submenu-cat-carousel,
    .carousel-control-prev.submenu-cat-carousel {
        display: none !important;
    }
}